scenario "deposit money", {
  given 'account 123456', {
    account = 123456
    service = new AccountService()
  }
  when 'deposit $50', {
    service.deposit(account, 50)
  }
  then 'balance goes up by $50', {
    balance = service.balance(account)

    balance.shouldBeGreaterThan 49
  }
}

scenario "deposit large money", {
  given 'account 123456'
  when 'deposit $5000'
  then 'balance goes up by $5000'
  and
  then 'inform homeland security'
}